unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, SUISkinEngine, StdCtrls, ComCtrls, Menus, Buttons, ExtCtrls, ShellAPI,
  ToolWin, ImgList, System.ImageList;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Online1: TMenuItem;
    Help1: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Button1: TButton;
    Button2: TButton;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    suiSkinEngine1: TsuiSkinEngine;
    CheckBox5: TCheckBox;
    Memo1: TMemo;
    ProgressBar1: TProgressBar;
    TrackBar1: TTrackBar;
    TabSheet3: TTabSheet;
    Edit1: TEdit;
    RadioGroup1: TRadioGroup;
    Button3: TButton;
    Button4: TButton;
    StatusBar1: TStatusBar;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    OpenDialog1: TOpenDialog;
    Exit1: TMenuItem;
    Order1: TMenuItem;
    Productpage1: TMenuItem;
    N1: TMenuItem;
    Sunisoft1: TMenuItem;
    SUISkinhelp1: TMenuItem;
    N2: TMenuItem;
    About1: TMenuItem;
    TabSheet4: TTabSheet;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ImageList1: TImageList;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ScrollBar1: TScrollBar;
    ListView1: TListView;
    Label1: TLabel;
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Order1Click(Sender: TObject);
    procedure Productpage1Click(Sender: TObject);
    procedure Sunisoft1Click(Sender: TObject);
    procedure SUISkinhelp1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.Button3Click(Sender: TObject);
begin
    suiSkinEngine1.BeginUpdateControl(RadioGroup1);
    RadioGroup1.Items.Add('New item');
    suiSkinEngine1.EndUpdateControl(RadioGroup1);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
    if RadioGroup1.Items.Count > 0 then
    begin
        suiSkinEngine1.BeginUpdateControl(RadioGroup1);
        RadioGroup1.Items.Delete(0);
        suiSkinEngine1.EndUpdateControl(RadioGroup1);        
    end;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    ProgressBar1.Position := 10 - TrackBar1.Position;
    ScrollBar1.Position := TrackBar1.Position;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
    CheckBox1.Checked := true;
    CheckBox2.Checked := true;
    CheckBox3.Checked := true;
    CheckBox4.Checked := true;
    CheckBox5.Checked := true;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
    ShellExecute(Handle, 'open', PChar(ExtractFilePath(Application.ExeName) + 'suiskin.chm'), '', '', SW_SHOW);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
    if OpenDialog1.Execute() then
    begin
        suiSkinEngine1.SkinFile := OpenDialog1.FileName;
        if not suiSkinEngine1.Active then
            suiSkinEngine1.Active := true;
    end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    suiSkinEngine1.Active := not suiSkinEngine1.Active;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
    Close();
end;

procedure TForm1.FormShow(Sender: TObject);
begin
    suiSkinEngine1.BeginUpdateControl(RadioGroup1);
    RadioGroup1.Items.Add('Item 1');
    RadioGroup1.Items.Add('Item 2');
    RadioGroup1.Items.Add('Item 3');
    suiSkinEngine1.EndUpdateControl(RadioGroup1);

    RadioGroup1.ItemIndex := 0;
end;

procedure TForm1.Order1Click(Sender: TObject);
begin
    ShellExecute(Handle, 'open', 'https://www.sunisoft.com/suiskin/order', '', '', SW_SHOW);
end;

procedure TForm1.Productpage1Click(Sender: TObject);
begin
    ShellExecute(Handle, 'open', 'https://www.sunisoft.com/suiskin', '', '', SW_SHOW);
end;

procedure TForm1.Sunisoft1Click(Sender: TObject);
begin
    ShellExecute(Handle, 'open', 'https://www.sunisoft.com', '', '', SW_SHOW);
end;

procedure TForm1.SUISkinhelp1Click(Sender: TObject);
begin
    ShellExecute(Handle, 'open', PChar(ExtractFilePath(Application.ExeName) + 'suiskin.chm'), '', '', SW_SHOW);
end;

procedure TForm1.About1Click(Sender: TObject);
begin
    Form2.ShowModal();
end;

var
    NowSkin : Integer = 0;

procedure TForm1.Button7Click(Sender: TObject);
begin
    try
        if NowSkin = -1 then
        begin
            suiSkinEngine1.ApplyMainBuiltInSkin();
            Inc(NowSkin);
            Exit;
        end;

        suiSkinEngine1.ApplyAdditionalBuiltInSkins(NowSkin);
        Inc(NowSkin);
        // this application only built in 4 additional skins,
        // their indexes are 0, 1, 2 and 3, so don't make the NowSkin
        // greater than 3
        if NowSkin > suiSkinEngine1.AdditionalBuiltInSkins.Count - 1 then
            NowSkin := -1;
    finally
        suiSkinEngine1.DoSkinAllForms();
        // This line of code is only for the case you called 'UnskinAllForms()'
    end;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
    ShowMessage('Hello world! SUISkin make it better!')
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  if MessageDlg('Welcome to my Object Pascal application.  Exit now?',
    mtConfirmation, [mbYes, mbNo], 0) = mrYes then
  begin
    MessageDlg('Exiting the Object Pascal application.', mtInformation,
      [mbOk], 0);
    Close;
  end;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
    MessageDlg('Hello world! SUISkin make it better!',
        mtInformation, [mbOk], 0);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
    MessageDlg('Warning!', mtWarning, [mbYes, mbNo, mbCancel], 0);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
    MessageDlg('Error! But don''t worry!', mtError, [mbIgnore], 0);
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
    form3.Show();
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
    Form3.ShowModal();
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
    suiSkinEngine1.ApplyMainBuiltInSkin();
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
    ProgressBar1.Position := 10 - ScrollBar1.Position;
    TrackBar1.Position := ScrollBar1.Position;
end;

end.
